Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class UberCompileTask

Field Summary
`Path` | `classpath`
`File` | `destdir`
`GenStubsAdapter` | `genStubsTask`
`GroovycAdapter` | `groovycTask`
`JavacAdapter` | `javacTask`
`LoggingHelper` | `log`
`Path` | `src`

Constructor Summary
`UberCompileTask()`

Method Summary
`Path` | `createClasspath()`
`GenStubsAdapter` | `createGeneratestubs()`
`GroovycAdapter` | `createGroovyc()`
`JavacAdapter` | `createJavac()`
`Path` | `createSrc()`
`File` | `createTempDir()`
`void` | `execute()`
`Path` | `getClasspath()`
`Path` | `getSrcdir()`
`void` | `setClasspath(Path path)`
`void` | `setClasspathRef(Reference r)`
`void` | `setDestdir(File dir)`
`void` | `setSrcdir(Path dir)`
`void` | `validate()`

Constructor Detail

### UberCompileTask

    UberCompileTask()

Method Detail

### createClasspath

    public Path createClasspath()

### createGeneratestubs

    public GenStubsAdapter createGeneratestubs()

### createGroovyc

    public GroovycAdapter createGroovyc()

### createJavac

    public JavacAdapter createJavac()

### createSrc

    public Path createSrc()

### createTempDir

    File createTempDir()

### execute

    public void execute()

### getClasspath

    public Path getClasspath()

### getSrcdir

    public Path getSrcdir()

### setClasspath

    public void setClasspath(Path path)

### setClasspathRef

    public void setClasspathRef(Reference r)

### setDestdir

    public void setDestdir(File dir)

### setSrcdir

    public void setSrcdir(Path dir)

### validate

    void validate()